{==============================================================================}
{= Raize Include File                                                         =}
{=                                                                            =}
{= This file is included into each component unit and serves as a common      =}
{= place to add conditional defines and compiler directives to be used by all =}
{= component units.                                                           =}
{=                                                                            =}
{= Building Custom Delphi Components - Ray Konopka                            =}
{= Copyright  1995 by Raize Software Solutions, Inc.                         =}
{==============================================================================}


{== Code Generation Directives ==}

{$F-}    { Force Far Calls }
{$A+}    { Word Align Data }
{$U-}    { Pentium-Save FDIV }
{$K-}    { Smart Callbacks }
{$W-}    { Windows Stack Frame }


{== Runtime Errors ==}

{$IFOPT D+}
  {$R+}    { Range Checking - On - if compiled with Debug Information }
{$ELSE}
  {$R-}    { Range Checking - Off - if compiled without Debug Information }
{$ENDIF}

{$S+}    { Stack Checking }
{$I+}    { I/O Checking }
{$Q-}    { Overflow Checking }


{== Syntax Options ==}

{$V-}    { Strict Var-Strings }
{$B-}    { Complete Boolean Evaluation }
{$X+}    { Extended Syntax }
{$T-}    { Typed @ Operator }
{$P+}    { Open Parameters }


{== Miscellaneous Directives ==}

{$C MOVEABLE DEMANDLOAD DISCARDABLE}    { Code Segment Attribute }
{$G+}    { 286 Instructions }
{$N+}    { Numeric Coprocessor }
{$Z-}    { Word Size Enumerated Types }


